module BotMob
  module Rails
    module SlackHelper
      URL = 'https://slack.com/oauth/authorize'

      def slack_button(*scopes)
        params = URI.encode_www_form({
          client_id: ENV['SLACK_CLIENT_ID'],
          scope: scopes.join(' ')
        })

        content_tag(:a, button, href: "#{URL}?#{params}", class: 'slack_button').html_safe
      end

      private

      def button
        content_tag(:img, nil, {
          alt: 'Add to Slack',
          height: 40,
          width: 139,
          src: 'https://platform.slack-edge.com/img/add_to_slack.png',
          srcset: 'https://platform.slack-edge.com/img/add_to_slack.png 1x, https://platform.slack-edge.com/img/add_to_slack@2x.png 2x'
        })
      end
    end
  end
end
